# Brew Formula

How to brew:
* https://docs.brew.sh/Formula-Cookbook#basic-instructions
* https://github.com/Homebrew/homebrew-core/blob/HEAD/CONTRIBUTING.md

Clone `homebrew/core`:
```
brew tap homebrew/core
```

Checkout new branch with new version:
```
cd $(brew --repository homebrew/core)
git branch -m feat/diary-v0.XY
```

For a new Formula:
````
brew create https://code.in0rdr.ch/diary/archive/diary-v0.XY.tar.gz
````

To patch the existing Formula:
```
cat cat Formula/d/diary.rb
```

To build from sources:
```
HOMEBREW_NO_INSTALL_FROM_API=1 brew install --build-from-source --verbose --debug diary
```

To test:
```
brew test diary
```
