#ifndef DIARY_CALDAV_H
#define DIARY_CALDAV_H

#define _XOPEN_SOURCE 700
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <pthread.h>
#include <time.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <sys/poll.h>
#include <netdb.h>
#include <fcntl.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <errno.h>
#include <ncurses.h>
#include <curl/curl.h>
#include "utils.h"

#define STR(s) #s
#define MKSTR(s) STR(s)

int caldav_sync(struct tm* date,
                 WINDOW* header,
                 WINDOW* cal,
                 int pad_pos,
                 const char* dir,
                 size_t dir_size,
                 bool confirm);

struct curl_mem_chunk {
    char* memory;
    size_t size;
};

extern config CONFIG;

#endif
